<div id="top"></div>
<form class="form" [formGroup]="updateStaff">
<div class="container">
    <div class="header">
      <h2>Detail Staff</h2>
      <div>
        <button mat-raised-button class="bli-btn bli-btn-responsive" (click)="leftFunction(updateStaff.value)" id="btnLeft">
            <mat-icon>{{leftIcon}}</mat-icon>
        </button>
        <button mat-raised-button class="bli-btn bli-btn-responsive" (click)="rightFunction($this)" id="btnRight">
            <mat-icon>{{rightIcon}}</mat-icon>
        </button>
      </div>
    </div>
    <div class="container-content">
      <table class="staff-table">
        <tbody>
          <tr>
            <td>NIP</td>
            <td>:</td>
            <td>{{staff?.nip}}</td>
          </tr>
          <tr>
            <td>Name</td>
            <td>:</td>
            <td>{{staff?.name | titlecase}}</td>
          </tr>
          <tr>
            <td>Gender</td>
            <td>:</td>
            <td>{{staff?.gender | titlecase}}</td>
          </tr>
          <tr>
            <td>DOB</td>
            <td>:</td>
            <td>{{staff?.dob}}</td>
          </tr>
          <tr>
            <td>Status</td>
            <td>:</td>
            <td>
              <mat-form-field>
                <mat-select [ngModel]="staff?.status" formControlName="flag_status"
                class="form-control" [disabled]="flag">
                  <mat-option value="None">-None-</mat-option>
                  <mat-option value="Trainee">Trainee</mat-option>
                  <mat-option value="Trainer">Trainer</mat-option>
                </mat-select>
              </mat-form-field>
            </td>
          </tr>
          <tr>
            <td>Program</td>
            <td>:</td>
            <td>
                <mat-form-field>
                  <mat-select [ngModel]="staff?.program" [disabled]="flag" formControlName="program"
                  class="form-control">
                    <mat-option *ngFor="let prog of program" [value]="prog.code">{{prog.code}}</mat-option>
                  </mat-select>
                </mat-form-field>
            </td>
          </tr>
          <tr style="display:none;">
            <td>Division</td>
            <td>:</td>
            <td>
              <mat-form-field>
                <mat-select [ngModel]="staff?.division" [disabled]="flag" formControlName="division"
                class="form-control">
                  <mat-option *ngFor="let div of division" [value]="div">{{div.name}}</mat-option>
                </mat-select>
              </mat-form-field>
            </td>
          </tr>
          <tr>
            <td>Source</td>
            <td>:</td>
            <td>{{staff?.internal===true?'Internal':'External'}}</td>
          </tr>
          <tr *ngIf="staff?.flag_trainer==true" >
            <td>Kompetensi</td>
            <td>:</td>
            <td><p *ngFor="let com of competency">{{com.material_code}}</p></td>
          </tr>
        </tbody>
      </table>
    </div>
</div>
</form>

<div class="container" *ngIf="staff?.flag_trainer==true">
  <div class="header">
    <h2>Tambahkan Kompetensi</h2>
  </div>
  <div class="container-content">
    <table>
      <tr>
        <td>Materi</td>
        <td>:</td>
        <td>
          <mat-form-field>
            <mat-select [(ngModel)]="material_code">
              <mat-option *ngFor="let select of material" [value]="select.code">{{select.name | titlecase}}</mat-option>
            </mat-select>
          </mat-form-field>
        </td>
      </tr>
    </table>
    
    <div style="text-align:right">
      <button mat-raised-button class="bli-btn" (click)="addCompetency(material_code)">Tambahkan</button>
    </div>
  </div>  
</div>
